SPHINCSPLUSPrivateKey (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.asn1

## Class SPHINCSPLUSPrivateKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.SPHINCSPLUSPrivateKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SPHINCSPLUSPrivateKey
      extends ASN1Object

  See https://datatracker.ietf.org/doc/draft-uni-qsckeys-sphincsplus/00/ for details ASN.1 Encoding for a SphincsPlus private key for fully populated:

         SPHINCSPLUSPrivateKey ::= SEQUENCE {
           version          INTEGER {v2(1)}     --syntax version 2 (round 3)
           skseed          OCTET STRING,        --n-byte private key seed
           skprf           OCTET STRING,        --n-byte private key seed
           PublicKey       SPHINCSPLUSPublicKey --public key
         }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPHINCSPLUSPrivateKey(ASN1Sequence seq)` Deprecated. use getInstance()
    `SPHINCSPLUSPrivateKey(int version, byte[] skseed, byte[] skprf)`
    `SPHINCSPLUSPrivateKey(int version, byte[] skseed, byte[] skprf, SPHINCSPLUSPublicKey publicKey)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SPHINCSPLUSPrivateKey` | `getInstance(java.lang.Object o)`
    `SPHINCSPLUSPublicKey` | `getPublicKey()`
    `byte[]` | `getSkprf()`
    `byte[]` | `getSkseed()`
    `int` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPHINCSPLUSPrivateKey

          public SPHINCSPLUSPrivateKey(int version,
                                       byte[] skseed,
                                       byte[] skprf)

    - #### SPHINCSPLUSPrivateKey

          public SPHINCSPLUSPrivateKey(int version,
                                       byte[] skseed,
                                       byte[] skprf,
                                       SPHINCSPLUSPublicKey publicKey)

    - #### SPHINCSPLUSPrivateKey

          @Deprecated
          public SPHINCSPLUSPrivateKey(ASN1Sequence seq)

      Deprecated. use getInstance()

  - ### Method Detail

    - #### getVersion

          public int getVersion()

    - #### getSkseed

          public byte[] getSkseed()

    - #### getSkprf

          public byte[] getSkprf()

    - #### getPublicKey

          public SPHINCSPLUSPublicKey getPublicKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getInstance

          public static SPHINCSPLUSPrivateKey getInstance(java.lang.Object o)